Package com.sap.ai.sdk.prompt.registry.model

# Enum Class DPIEntities

java.lang.Object
java.lang.Enum<DPIEntities>
com.sap.ai.sdk.prompt.registry.model.DPIEntities

All Implemented Interfaces:
  `Serializable`, `Comparable<DPIEntities>`, `Constable`

public enum DPIEntities extends Enum<DPIEntities>
Default entities supported by data privacy and integration service

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PROFILE_ADDRESS`
  `PROFILE_CREDIT_CARD_NUMBER`
  `PROFILE_DRIVERLICENSE`
  `PROFILE_EMAIL`
  `PROFILE_ETHNICITY`
  `PROFILE_GENDER`
  `PROFILE_IBAN`
  `PROFILE_LOCATION`
  `PROFILE_NATIONALID`
  `PROFILE_NATIONALITY`
  `PROFILE_ORG`
  `PROFILE_PASSPORT`
  `PROFILE_PERSON`
  `PROFILE_PHONE`
  `PROFILE_POLITICAL_GROUP`
  `PROFILE_PRONOUNS_GENDER`
  `PROFILE_RELIGIOUS_GROUP`
  `PROFILE_SAPIDS_INTERNAL`
  `PROFILE_SAPIDS_PUBLIC`
  `PROFILE_SENSITIVE_DATA`
  `PROFILE_SEXUAL_ORIENTATION`
  `PROFILE_SSN`
  `PROFILE_TRADE_UNION`
  `PROFILE_UNIVERSITY`
  `PROFILE_URL`
  `PROFILE_USERNAME_PASSWORD`
  `UNKNOWN_DEFAULT_OPEN_API`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DPIEntities`
  `fromValue(String value)`
  Converts the given value to its enum representation.
  `String`
  `getValue()`
  `String`
  `toString()`
  `static DPIEntities`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DPIEntities[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROFILE_PERSON

    public static final DPIEntities PROFILE_PERSON

  - ### PROFILE_ORG

    public static final DPIEntities PROFILE_ORG

  - ### PROFILE_UNIVERSITY

    public static final DPIEntities PROFILE_UNIVERSITY

  - ### PROFILE_LOCATION

    public static final DPIEntities PROFILE_LOCATION

  - ### PROFILE_EMAIL

    public static final DPIEntities PROFILE_EMAIL

  - ### PROFILE_PHONE

    public static final DPIEntities PROFILE_PHONE

  - ### PROFILE_ADDRESS

    public static final DPIEntities PROFILE_ADDRESS

  - ### PROFILE_SAPIDS_INTERNAL

    public static final DPIEntities PROFILE_SAPIDS_INTERNAL

  - ### PROFILE_SAPIDS_PUBLIC

    public static final DPIEntities PROFILE_SAPIDS_PUBLIC

  - ### PROFILE_URL

    public static final DPIEntities PROFILE_URL

  - ### PROFILE_USERNAME_PASSWORD

    public static final DPIEntities PROFILE_USERNAME_PASSWORD

  - ### PROFILE_NATIONALID

    public static final DPIEntities PROFILE_NATIONALID

  - ### PROFILE_IBAN

    public static final DPIEntities PROFILE_IBAN

  - ### PROFILE_SSN

    public static final DPIEntities PROFILE_SSN

  - ### PROFILE_CREDIT_CARD_NUMBER

    public static final DPIEntities PROFILE_CREDIT_CARD_NUMBER

  - ### PROFILE_PASSPORT

    public static final DPIEntities PROFILE_PASSPORT

  - ### PROFILE_DRIVERLICENSE

    public static final DPIEntities PROFILE_DRIVERLICENSE

  - ### PROFILE_NATIONALITY

    public static final DPIEntities PROFILE_NATIONALITY

  - ### PROFILE_RELIGIOUS_GROUP

    public static final DPIEntities PROFILE_RELIGIOUS_GROUP

  - ### PROFILE_POLITICAL_GROUP

    public static final DPIEntities PROFILE_POLITICAL_GROUP

  - ### PROFILE_PRONOUNS_GENDER

    public static final DPIEntities PROFILE_PRONOUNS_GENDER

  - ### PROFILE_ETHNICITY

    public static final DPIEntities PROFILE_ETHNICITY

  - ### PROFILE_GENDER

    public static final DPIEntities PROFILE_GENDER

  - ### PROFILE_SEXUAL_ORIENTATION

    public static final DPIEntities PROFILE_SEXUAL_ORIENTATION

  - ### PROFILE_TRADE_UNION

    public static final DPIEntities PROFILE_TRADE_UNION

  - ### PROFILE_SENSITIVE_DATA

    public static final DPIEntities PROFILE_SENSITIVE_DATA

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final DPIEntities UNKNOWN_DEFAULT_OPEN_API

- ## Method Details

  - ### values

    public static DPIEntities[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DPIEntities valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      The enum value.

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Enum<DPIEntities>`
    Returns:
      The String representation of the enum value.

  - ### fromValue

    public static DPIEntities fromValue(@Nonnull String value)
    Converts the given value to its enum representation.
    Parameters:
      `value` - The input value.
    Returns:
      The enum representation of the given value.